Subject: Re: [next-queue PATCH 0/3] Add support for GSO partial to Intel NIC drivers

From: Jeff Kirsher <[email-masked]>
Date: Fri, 08 Apr 2016 23:59:09 -0700

On Fri, 2016-04-08 at 17:06 -0400, Alexander Duyck wrote:
> So these are the patches needed to enable tunnel segmentation
> offloads on
> the igb, igbvf, ixgbe, and ixgbevf drivers.  In addition this patch
> extends
> the i40e and i40evf drivers to include segmentation support for
> tunnels
> with outer checksums.
> 
> The net performance gain for these patches are pretty significant. 
> In the
> case of i40e a tunnel with outer checksums showed the following
> improvement:
> Throughput Throughput  Local Local   Result 
>            Units       CPU   Service Tag    
>                        Util  Demand         
>                        %                    
> 14066.29   10^6bits/s  3.49  0.651   "before" 
> 20618.16   10^6bits/s  3.09  0.393   "after"
> 
> For ixgbe similar results were seen:
> Throughput Throughput  Local  Local   Result 
>            Units       CPU    Service Tag    
>                        Util   Demand         
>                        %               
> 12879.89   10^6bits/s  10.00  0.763   "before"
> 14286.77   10^6bits/s  5.74   0.395   "after" 
> 
> These patches all rely on the TSO_MANGLEID and GSO_PARTIAL patches so
> I
> would not recommend applying them until those patches have first been
> applied.

Sorry I did not see this until after I tried applying your series. :-(

Maybe the two dependent patches should have been in the series, so I
and others do not waste their time.  Or not send this until the two
patches were accepted.